<div div #container style="display: flex; border-style: solid; border-width: 1px; border-radius: 4px;">
  <div style="display: block;">
    <div style="padding: 3px; background: rgb(90, 90, 90);">
      <button type="button" style="float: right; height: 15px; font-size: 15px; line-height: 0px; padding-left: 2px; padding-right: 2px;" (click)="clickClose()">X</button>
      <div style="clear: both;"></div>
    </div>
    <app-color *ngIf="pickerStyle == 0" [setColor]="color" (newColor)="emitColor($event)"></app-color>
    <app-gray *ngIf="pickerStyle == 1" [setColor]="color" (newColor)="emitColor($event)"></app-gray>
    <app-black *ngIf="pickerStyle == 2" (newColor)="emitColor($event)"></app-black>
  </div>
</div>
